Bug 84880

Summary: [Chromium] Add thunk headers for staging Prerendering API.
Product: WebKit Reporter: Gavin Peters <gavinp>
Component: New BugsAssignee: Gavin Peters <gavinp>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, fishd, jamesr, tkent+wkapi, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
handle renames
none
fix rebase
none
fix #endif none

Description Gavin Peters 2012-04-25 12:09:28 PDT
[Chromium] Add thunk headers for staging Prerendering API.
Comment 1 Gavin Peters 2012-04-25 12:10:59 PDT
Created attachment 138854 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-25 12:12:34 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 3 Gavin Peters 2012-04-25 12:16:50 PDT
I'm in the process of carving https://bugs.webkit.org/show_bug.cgi?id=82478 up into individual issues to land.  This is an interesting one, to make the switch to prerendering, the correct order of patches is:

1. Land this patch, providing an interface to Prerendering.
2. Land the Chrome side of the PrerenderManager, patch 6 in: http://codereview.chromium.org/9875026/#ps15027  (soon to be split to another CL to land separately).
3. Land a patch in WebKit to implement the full Prerendering API, like in https://github.com/gavinp/git.webkit.org/commit/99d15d3b9c783395015ab74588fefbadc8a7c51e , which also needs to be shortly carved out and landed).
4. Cleanup in Chrome, removing the old phantom-request load path.
4a. Cleanup in WebKit, removing TargetIsPrerender enum types which would have broken build if taken out in (3)

By doing it this way, prerendering always works in Chrome, and nobody's build is broken at any time.


jamesr, I'm adding you as a reviewer here, since abarth is on vacation, like we discussed last week.  Reviewing this patch should be easiest once we've gone through the upcoming main prerendering API patch, so might as well wait until that's uploaded to review it if you ask me.
Comment 4 Gavin Peters 2012-04-26 15:36:25 PDT
This patch is required for http://codereview.chromium.org/10198040/ to build.
Comment 5 Gavin Peters 2012-04-30 14:37:30 PDT
Created attachment 139521 [details]
handle renames
Comment 6 Gavin Peters 2012-04-30 14:49:37 PDT
Created attachment 139523 [details]
fix rebase
Comment 7 Gavin Peters 2012-04-30 15:15:10 PDT
Created attachment 139528 [details]
fix #endif
Comment 8 Adam Barth 2012-04-30 17:04:01 PDT
Comment on attachment 139528 [details]
fix #endif

lgtm
Comment 9 Gavin Peters 2012-04-30 18:16:07 PDT
Comment on attachment 139528 [details]
fix #endif

Thanks for giving a second lookover Adam.  :)
Comment 10 WebKit Review Bot 2012-04-30 19:50:45 PDT
Comment on attachment 139528 [details]
fix #endif

Clearing flags on attachment: 139528

Committed r115703: <http://trac.webkit.org/changeset/115703>
Comment 11 WebKit Review Bot 2012-04-30 19:51:01 PDT
All reviewed patches have been landed.  Closing bug.